Subject: Re: Flatten/Unflattern

From: L J Clarke <[email-masked]>
Date: Wed, 30 Jun 93 19:43:57 BST

These calls are intended to be used to allow processes in different
groups to establish communications with one another.  The MPI_COMM_... 
operations in particular are used to implement the name service. 

The ..._FLATTEN operations write a transmittable description of the
object (group or communicator) into a memory buffer.  The ..._UNFLATTEN
operations read such a description creating an (possibly approximate)
copy of the object. (The operations are somewhat analagous to
passivation and activation in SmallTalk and Objective C.)

Hope this helped!

Best Wishes
Lyndon

>
> Would anyone in this group please tell me why we need these calls and
> what are their definitions (functions)?
> 
> MPI_GROUP_FLATTEN (group, max_length, buffer, actual_length)
> 
> MPI_GROUP_UNFLATTEN (max_length, buffer, group)
> 
> MPI_COMM_FLATTEN (comm, max_length, buffer, actual_length)
> 
> MPI_COMM_UNFLATTEN (max_length, buffer, comm)
> 
> 
> Thanks!
> 
> Doreen
> 
> 
         /--------------------------------------------------------\
    e||) | Lyndon J Clarke    Edinburgh Parallel Computing Centre | e||) 
    c||c | Tel: 031 650 5021  Email: [email-masked]  | c||c 
         \--------------------------------------------------------/